Upstream information

CVE-2008-4210 at MITRE

Description

fs/open.c in the Linux kernel before 2.6.22 does not properly strip setuid and setgid bits when there is a write to a file, which allows local users to gain the privileges of a different group, and obtain sensitive information or possibly have unspecified other impact, by creating an executable file in a setgid directory through the (1) truncate or (2) ftruncate function in conjunction with memory-mapped I/O.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.6
Vector AV:L/AC:L/Au:N/C:P/I:P/A:P
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entries: 429478 [RESOLVED / FIXED], 432487 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise SDK 10 SP2
  • kernel-kdump >= 2.6.16.60-0.31
sles10-sp2-debuginfo.ppc
sle10-sp2-sdk.ppc
sles10-sp2.ppc
ZYPP Patch Nr: 5665
SUSE Linux Enterprise SDK 10 SP2
  • kernel-debug >= 2.6.16.60-0.31
  • kernel-kdump >= 2.6.16.60-0.31
  • kernel-xen >= 2.6.16.60-0.31
  • kernel-xenpae >= 2.6.16.60-0.31
sle10-sp2-sdk.x86
sles10-sp2-debuginfo.x86
sled10-sp2.x86
sles10-sp2.x86
ZYPP Patch Nr: 5668
SUSE Linux Enterprise SDK 10 SP2
  • kernel-debug >= 2.6.16.60-0.31
  • kernel-kdump >= 2.6.16.60-0.31
  • kernel-xen >= 2.6.16.60-0.31
sle10-sp2-sdk.x86-64
sles10-sp2.x86-64
sled10-sp2.x86-64
sles10-sp2-debuginfo.x86-64
ZYPP Patch Nr: 5667
Novell Linux Desktop 9 for x86_64
  • kernel-default >= 2.6.5-7.315
  • kernel-smp >= 2.6.5-7.315
  • kernel-source >= 2.6.5-7.315
  • kernel-syms >= 2.6.5-7.315
sles9-nld.x86-64
YOU Patch Nr: 12311
Novell Linux Desktop 9 for x86
  • kernel-bigsmp >= 2.6.5-7.315
  • kernel-default >= 2.6.5-7.315
  • kernel-smp >= 2.6.5-7.315
  • kernel-source >= 2.6.5-7.315
  • kernel-syms >= 2.6.5-7.315
sles9-oes.x86
sles9-nld.x86
YOU Patch Nr: 12307
Open Enterprise Server
  • kernel-bigsmp >= 2.6.5-7.315
  • kernel-debug >= 2.6.5-7.315
  • kernel-default >= 2.6.5-7.315
  • kernel-smp >= 2.6.5-7.315
  • kernel-source >= 2.6.5-7.315
  • kernel-syms >= 2.6.5-7.315
  • kernel-um >= 2.6.5-7.315
  • kernel-xen >= 2.6.5-7.315
  • kernel-xenpae >= 2.6.5-7.315
  • um-host-install-initrd >= 1.0-48.29
  • um-host-kernel >= 2.6.5-7.315
sles9-oes.x86
sles9-nld.x86
YOU Patch Nr: 12307
SUSE Linux Enterprise SDK 10 SP2
  • kernel-debug >= 2.6.16.60-0.31
sles10-sp2.ia64
sle10-sp2-sdk.ia64
sles10-sp2-debuginfo.ia64
ZYPP Patch Nr: 5663